Name:          x11vnc
Version:       0.9.16
Release:       2mamba
Summary:       LibVNCServer is ripped out of Xvnc to provide an easy API to write one's own vnc server
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/libvncserver/
Source:        https://github.com/LibVNC/x11vnc/archive/%{version}/x11vnc-%{version}.tar.gz
Patch0:        %{name}-0.9.10-fix_redeclared_pointer.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXtst-devel
BuildRequires: libavahi-devel
BuildRequires: libcairo-devel
BuildRequires: libnsl-devel
BuildRequires: libopenssl-devel
BuildRequires: libvncserver-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibVNCServer is ripped out of Xvnc to provide an easy API to write one's own vnc server.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
LibVNCServer is ripped out of Xvnc to provide an easy API to write one's own vnc server.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
./autogen.sh

%build
%configure \
   --with-system-libvncserver \
   CFLAGS="%{optflags} -fcommon"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/Xdummy
%{_bindir}/x11vnc
%{_mandir}/man1/x11vnc.1.*
%{_datadir}/applications/x11vnc.desktop
%doc AUTHORS COPYING ChangeLog NEWS README

%changelog
* Tue Dec 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.16-2mamba
- rebuilt with debug package and -fcommon

* Sun Jan 13 2019 Automatic Build System <autodist@mambasoft.it> 0.9.16-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-1mamba
- update to 0.9.15

* Sat Sep 17 2011 Automatic Build System <autodist@mambasoft.it> 0.9.13-1mamba
- automatic version update by autodist

* Wed Oct 27 2010 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- automatic update by autodist

* Sat Jul 03 2010 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic update by autodist

* Tue Jul 28 2009 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic update by autodist

* Thu Apr 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.7-1mamba
- automatic update by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-1mamba
- automatic update by autodist

* Sat Dec 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created from libvncserver
